Bug 252508 - lang/php80: Update to 8.0.1
Summary: lang/php80: Update to 8.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL: https://www.php.net/archive/2021.php#...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-08 10:38 UTC by michael.glaus
Modified: 2021-01-14 15:18 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (tz)


Attachments
Update to 8.0.1 (1.27 KB, patch)
2021-01-08 10:38 UTC, michael.glaus
no flags Details | Diff
Fixed patch (1.27 KB, patch)
2021-01-08 10:46 UTC, michael.glaus
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description michael.glaus 2021-01-08 10:38:37 UTC
Created attachment 221379 [details]
Update to 8.0.1

Changelog: https://www.php.net/ChangeLog-8.php#8.0.1
Comment 1 michael.glaus 2021-01-08 10:46:50 UTC
Created attachment 221383 [details]
Fixed patch

Just realised that there is a typo in my patch
Comment 2 commit-hook freebsd_committer 2021-01-09 23:53:45 UTC
A commit references this bug:

Author: tz
Date: Sat Jan  9 23:53:20 UTC 2021
New revision: 560907
URL: https://svnweb.freebsd.org/changeset/ports/560907

Log:
  lang/php80: Update from 8.0.0 to 8.0.1

      Core:
          Fixed bug #80345 (PHPIZE configuration has outdated PHP_RELEASE_VERSION).
          Fixed bug #72964 (White space not unfolded for CC/Bcc headers).
          Fixed bug #80391 (Iterable not covariant to mixed).
          Fixed bug #80393 (Build of PHP extension fails due to configuration gap with libtool).
          Fixed bug #77069 (stream filter loses final block of data).
      Fileinfo:
          Fixed bug #77961 (finfo_open crafted magic parsing SIGABRT).
      FPM:
          Fixed bug #69625 (FPM returns 200 status on request without SCRIPT_FILENAME env).
      IMAP:
          Fixed bug #80438 (imap_msgno() incorrectly warns and return false on valid UIDs in PHP 8).
          Fix a regression with valid UIDs in imap_savebody().
          Make warnings for invalid message numbers/UIDs between functions consistent.
      Intl:
          Fixed bug #80425 (MessageFormatAdapter::getArgTypeList redefined).
      Opcache:
          Fixed bug #80404 (Incorrect range inference result when division results in float).
          Fixed bug #80377 (Opcache misses executor_globals).
          Fixed bug #80433 (Unable to disable the use of the AVX command when using JIT).
          Fixed bug #80447 (Strange out of memory error when running with JIT).
          Fixed bug #80480 (Segmentation fault with JIT enabled).
          Fixed bug #80506 (Immediate SIGSEGV upon ini_set("opcache.jit_debug", 1)).
      OpenSSL:
          Fixed bug #80368 (OpenSSL extension fails to build against LibreSSL due to lack of OCB support).
      PDO MySQL:
          Fixed bug #80458 (PDOStatement::fetchAll() throws for upsert queries).
          Fixed bug #63185 (nextRowset() ignores MySQL errors with native prepared statements).
          Fixed bug #78152 (PDO::exec() - Bad error handling with multiple commands).
          Fixed bug #66878 (Multiple rowsets not returned unless PDO statement object is unset()).
          Fixed bug #70066 (Unexpected "Cannot execute queries while other unbuffered queries").
          Fixed bug #71145 (Multiple statements in init command triggers unbuffered query error).
          Fixed bug #76815 (PDOStatement cannot be GCed/closeCursor-ed when a PROCEDURE resultset SIGNAL).
          Fixed bug #79872 (Can't execute query with pending result sets).
          Fixed bug #79131 (PDO does not throw an exception when parameter values are missing).
          Fixed bug #72368 (PdoStatement->execute() fails but does not throw an exception).
          Fixed bug #62889 (LOAD DATA INFILE broken).
          Fixed bug #67004 (Executing PDOStatement::fetch() more than once prevents releasing resultset).
          Fixed bug #79132 (PDO re-uses parameter values from earlier calls to execute()).
      Phar:
          Fixed bug #73809 (Phar Zip parse crash - mmap fail).
          Fixed bug #75102 (`PharData` says invalid checksum for valid tar).
          Fixed bug #77322 (PharData::addEmptyDir('/') Possible integer overflow).
      Phpdbg:
          Fixed bug #76813 (Access violation near NULL on source operand).
      SPL:
          Fixed bug #62004 (SplFileObject: fgets after seek returns wrong line).
      Standard:
          Fixed bug #80366 (Return Value of zend_fstat() not Checked).
          Fixed bug #77423 (FILTER_VALIDATE_URL accepts URLs with invalid userinfo). (CVE-2020-7071)
      Tidy:
          Fixed bug #77594 (ob_tidyhandler is never reset).
      Tokenizer:
          Fixed bug #80462 (Nullsafe operator tokenize with TOKEN_PARSE flag fails).
      XML:
          XmlParser opaque object renamed to XMLParser for consistency with other XML objects.
      Zlib:
          Fixed bug #48725 (Support for flushing in zlib stream).

  PR:		252508
  Submitted by:	<michael.glaus@hostpoint.ch>, samm
  Differential Revision:	D28065

Changes:
  head/lang/php80/Makefile
  head/lang/php80/distinfo
  head/security/php80-openssl/files/
Comment 3 Torsten Zuehlsdorff freebsd_committer 2021-01-09 23:57:05 UTC
Committed, thank you! :)
Comment 4 commit-hook freebsd_committer 2021-01-10 21:18:57 UTC
A commit references this bug:

Author: tz
Date: Sun Jan 10 21:18:09 UTC 2021
New revision: 561110
URL: https://svnweb.freebsd.org/changeset/ports/561110

Log:
  MFH: r560907

  lang/php80: Update from 8.0.0 to 8.0.1

      Core:
          Fixed bug #80345 (PHPIZE configuration has outdated PHP_RELEASE_VERSION).
          Fixed bug #72964 (White space not unfolded for CC/Bcc headers).
          Fixed bug #80391 (Iterable not covariant to mixed).
          Fixed bug #80393 (Build of PHP extension fails due to configuration gap with libtool).
          Fixed bug #77069 (stream filter loses final block of data).
      Fileinfo:
          Fixed bug #77961 (finfo_open crafted magic parsing SIGABRT).
      FPM:
          Fixed bug #69625 (FPM returns 200 status on request without SCRIPT_FILENAME env).
      IMAP:
          Fixed bug #80438 (imap_msgno() incorrectly warns and return false on valid UIDs in PHP 8).
          Fix a regression with valid UIDs in imap_savebody().
          Make warnings for invalid message numbers/UIDs between functions consistent.
      Intl:
          Fixed bug #80425 (MessageFormatAdapter::getArgTypeList redefined).
      Opcache:
          Fixed bug #80404 (Incorrect range inference result when division results in float).
          Fixed bug #80377 (Opcache misses executor_globals).
          Fixed bug #80433 (Unable to disable the use of the AVX command when using JIT).
          Fixed bug #80447 (Strange out of memory error when running with JIT).
          Fixed bug #80480 (Segmentation fault with JIT enabled).
          Fixed bug #80506 (Immediate SIGSEGV upon ini_set("opcache.jit_debug", 1)).
      OpenSSL:
          Fixed bug #80368 (OpenSSL extension fails to build against LibreSSL due to lack of OCB support).
      PDO MySQL:
          Fixed bug #80458 (PDOStatement::fetchAll() throws for upsert queries).
          Fixed bug #63185 (nextRowset() ignores MySQL errors with native prepared statements).
          Fixed bug #78152 (PDO::exec() - Bad error handling with multiple commands).
          Fixed bug #66878 (Multiple rowsets not returned unless PDO statement object is unset()).
          Fixed bug #70066 (Unexpected "Cannot execute queries while other unbuffered queries").
          Fixed bug #71145 (Multiple statements in init command triggers unbuffered query error).
          Fixed bug #76815 (PDOStatement cannot be GCed/closeCursor-ed when a PROCEDURE resultset SIGNAL).
          Fixed bug #79872 (Can't execute query with pending result sets).
          Fixed bug #79131 (PDO does not throw an exception when parameter values are missing).
          Fixed bug #72368 (PdoStatement->execute() fails but does not throw an exception).
          Fixed bug #62889 (LOAD DATA INFILE broken).
          Fixed bug #67004 (Executing PDOStatement::fetch() more than once prevents releasing resultset).
          Fixed bug #79132 (PDO re-uses parameter values from earlier calls to execute()).
      Phar:
          Fixed bug #73809 (Phar Zip parse crash - mmap fail).
          Fixed bug #75102 (`PharData` says invalid checksum for valid tar).
          Fixed bug #77322 (PharData::addEmptyDir('/') Possible integer overflow).
      Phpdbg:
          Fixed bug #76813 (Access violation near NULL on source operand).
      SPL:
          Fixed bug #62004 (SplFileObject: fgets after seek returns wrong line).
      Standard:
          Fixed bug #80366 (Return Value of zend_fstat() not Checked).
          Fixed bug #77423 (FILTER_VALIDATE_URL accepts URLs with invalid userinfo). (CVE-2020-7071)
      Tidy:
          Fixed bug #77594 (ob_tidyhandler is never reset).
      Tokenizer:
          Fixed bug #80462 (Nullsafe operator tokenize with TOKEN_PARSE flag fails).
      XML:
          XmlParser opaque object renamed to XMLParser for consistency with other XML objects.
      Zlib:
          Fixed bug #48725 (Support for flushing in zlib stream).

  PR:		252508
  Submitted by:	<michael.glaus@hostpoint.ch>, samm
  Differential Revision:	D28065

Changes:
_U  branches/2021Q1/
  branches/2021Q1/lang/php80/Makefile
  branches/2021Q1/lang/php80/distinfo
Comment 5 Dani 2021-01-11 09:25:06 UTC
tz, i guess the PORTREVISION for pecl-intl should have been removed too?
Comment 6 Torsten Zuehlsdorff freebsd_committer 2021-01-11 21:50:28 UTC
> tz, i guess the PORTREVISION for pecl-intl should have been removed too?

I don't know about pecl-intl. Mostly there is no need to update the PECL ports, too. Since they moved to pecl they are on there own :D
Comment 7 Dani 2021-01-14 09:59:14 UTC
(In reply to Torsten Zuehlsdorff from comment #6)

Sorry i made a typo. I ofc ment php-intl -> See: https://www.freshports.org/devel/php80-intl
Comment 8 Torsten Zuehlsdorff freebsd_committer 2021-01-14 15:18:19 UTC
I see, sorry i should have noticed this typo. -.-

I have no idea where freshports get the PORTREVISION from. When i build the port i simply get php80-intl-8.0.1. Also there is no PORTREVISION set in the port. So - no clue.